// FORM VALIDATION SCRIPT

jQuery(document).ready(function() {
  
  var age_text = jQuery(document).find("#age option:first").text();
    var age_val = jQuery(document).find("#age option:first").val();
    $("body").on("click", ".niceselect.age .value-wrapper .values", function (t) {
        if ($(this).find("input").val() == age_val) {
            $(this).closest("div.select-style").addClass("error");
            return false;
        } else {
            $(this).closest("div.select-style").removeClass("error");
        }
    });
	
  formvalidate = jQuery("#main-form");
	formvalidate.validate({
		rules: {
		'first-name': {required: true},
		'last-name': {required: true},
		email: {required: true, email: true},
		phone: {required: true, number: true},
		age: {required: true},
		comments: {required: true},
		}
	});
	
jQuery(formvalidate).submit(function(e) {
	
  return_status = true;
        if (jQuery(document).find("div.niceselect.age p").text() == age_text) {
            jQuery(document).find("div.niceselect.age").closest("div.select-style").addClass("error");
            if (return_status) {
                return_status = false;
            }
        } else {
            jQuery(document).find("div.niceselect.age").closest("div.select-style").removeClass("error");
        }
       
        if (!return_status) {
            return false;
        }
		
  e.preventDefault();
	if (formvalidate.valid()) {
	  $('#submit').val('LOADING...');
	  $.ajax({type: 'post', url: "mail/email-mailer.php", data: jQuery(formvalidate).serialize(), success: function(result) {
	  $response = jQuery.parseJSON(result);
	  $('#submit').val('CLICK HERE NOW!');
		if ($response.success) {
		$('.error-msg').remove();
		$('.success-msg').remove();
		$('<p class="success-msg">' + $response.message + '</p>').insertAfter('#submit');
		$(formvalidate[0]).find("input[type=text], textarea, select").val("");
		} else {
		$('.error-msg').remove();
		$('.success-msg').remove();
		$('<p class="error-msg">' + $response.message + '</p>').insertAfter('#submit');
		}
	}});
	}
  return false;
});
});



// ANIMATION SCRIPT 

new WOW().init();



// SCROLL BUTTON SCRIPT 

$('body').prepend('<a href="javascript:void(0)" class="back-to-top"><i class="fa fa-angle-up"></i></a>');
var amountScrolled = 300;
$(window).scroll(function() {
    if ($(window).scrollTop() > amountScrolled) {
        $('a.back-to-top').fadeIn('slow');
    }
    else {
        $('a.back-to-top').fadeOut('slow');
    }
});
$('a.back-to-top, a.simple-back-to-top').click(function() {
    $('html, body').animate({scrollTop: 0}, 700);
    return false;
});



// SELECT INPUT SCRIPT 

$('document').ready(function()
  { 
  $('.change').niceselect(); 
  })
  

// SLIDER SCRIPT 

$('.owl-carousel').owlCarousel({
    loop: true,
    items: 1,
    margin: 0,
    autoplay: true,
    autoplayTimeout: 3000,
    autoplayHoverPause: true,
	dots: true,
})

// TAB SCRIPT

$(document).ready(function () {
 $("#tabbed-nav").zozoTabs({
	  theme: "silver",
	  orientation: "horizontal",
	  position: "top-left",
	  size: "medium",
	  animation: {
		  easing: "easeInOutExpo",
		  duration: 400,
		  effects: "slideV"
	  },
	  defaultTab: "tab1"
  });
});

